> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Write Scorer Version Health Score

> Persist the health score for a scorer version against a dataset.

Called by the UI after saving a metric version, passing the score from the last compute.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/{scorer_id}/versions/{version_number}/health-scores
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/{scorer_id}/versions/{version_number}/health-scores:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Write Scorer Version Health Score
      description: >-
        Persist the health score for a scorer version against a dataset.


        Called by the UI after saving a metric version, passing the score from
        the last compute.
      operationId: >-
        write_scorer_version_health_score_v2_scorers__scorer_id__versions__version_number__health_scores_post
      parameters:
        - name: scorer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Scorer Id
        - name: version_number
          in: path
          required: true
          schema:
            type: integer
            title: Version Number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WriteHealthScoreRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorerVersionHealthScoreEntry'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    WriteHealthScoreRequest:
      properties:
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        health_score_type:
          type: string
          title: Health Score Type
        score:
          type: number
          title: Score
        secondary:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: number
                  - type: 'null'
              type: object
            - type: 'null'
          title: Secondary
      type: object
      required:
        - dataset_id
        - health_score_type
        - score
      title: WriteHealthScoreRequest
    ScorerVersionHealthScoreEntry:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        scorer_version_id:
          type: string
          format: uuid4
          title: Scorer Version Id
        scorer_version_number:
          type: integer
          title: Scorer Version Number
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        health_score_type:
          type: string
          title: Health Score Type
        score:
          type: number
          title: Score
        secondary:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: number
                  - type: 'null'
              type: object
            - type: 'null'
          title: Secondary
        computed_at:
          type: string
          format: date-time
          title: Computed At
      type: object
      required:
        - id
        - scorer_version_id
        - scorer_version_number
        - dataset_id
        - health_score_type
        - score
        - secondary
        - computed_at
      title: ScorerVersionHealthScoreEntry
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````